Brivio API reference
Payments

Refund a paid payment through the account that collected it. Omit amount_minor for the full remaining amount; `pending: true` means the processor accepted but has not settled. Honours Idempotency-Key. (scope: payments:refund)

POST
/payments/{id}/refund

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Payment id

Formatuuid

Request Body

application/json
  1. body
amount_minor?integer

Minor units. Omit for the full remaining amount.

Range1 <= value
reason?string
Lengthlength <= 200

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/payments/497f6eca-6276-4993-bfeb-53cbbbba6f08/refund" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "refunded_minor": 0,    "pending": true,    "payment": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "environment": "live",      "source_kind": "invoice",      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",      "channel": "string",      "amount_minor": 0,      "currency": "str",      "refunded_minor": 0,      "platform_fee_minor": 0,      "provider": "string",      "provider_ref": "string",      "sandbox": true,      "status": "pending",      "flow": "redirect",      "description": "string",      "customer_email": "string",      "customer_name": "string",      "last_error": "string",      "paid_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  },  "error": null}